# 32/64bit spec-file
#

Name:		mldonkey
Version:	3.0.6
Release:	%mkrel 3
Summary:	Door to the 'donkey' network
License:	GPL
URL:		http://www.nongnu.org/mldonkey
Group:		System/Servers
Source0:	http://savannah.nongnu.org/download/mldonkey/%name-%version.tar.xz
Source1:	%name.init
Source2:	downloads.ini
Source3:	%name.sysconfig
Source4:	mlnet.sh
Source5:	mldonkey_df_monitor.crond
Source6:	mldonkey_df_monitor.sh
Source7:	mlgui.sh
Source8:	mldonkey.logrotate
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
BuildRequires:	camlp4
BuildRequires:	gd-devel
BuildRequires:	librsvg-devel
BuildRequires:	ncurses-devel
BuildRequires:  ocaml >= 3.08
BuildRequires:	ocaml-lablgtk2-devel
BuildRequires:	desktop-file-utils
Requires: 	netcat-traditional
Requires:       glibc >= 2.12.1
Requires:       libstdc++6 >= 4.5.2

%files
%defattr(-,root,root)
%doc Copying.txt distrib/Authors.txt distrib/Bugs.txt distrib/ChangeLog
%doc distrib/Todo.txt distrib/ed2k_submit/README.MLdonkeySubmit distrib/Developers.txt
%doc docs
%_bindir/%{name}_command
%_bindir/mlnet
%_bindir/kill_%name
%dir %_libdir/%name
%_libdir/%name/mlbt
%_libdir/%name/%name
%_libdir/%name/mlgnut
%_libdir/%name/mlnet

%description
MLDonkey is a door to the 'donkey' network, a decentralized network used to
exchange big files on the Internet. It is written in a wonderful language,
called Objective-Caml, and present most features of the basic Windows donkey
client, plus some more:
  - It should work on most UNIX-compatible platforms.
  - You can remotely command your client, either by telnet, on a WEB browser,
    or with the GTK interface.
  - You can connect to several servers, and each search will query all the
     connected servers.
  - You can select mp3s by bitrates in queries (useful ?).
  - You can select the name of a downloaded file before moving it to your
    incoming directory.
  - You can have several queries in the graphical user interface at the same
     time.
  - You can remember your old queries results in the command-line interface.
  - You can search in the history of all files you have seen on the network.

It can also access other peer-to-peer networks:
- Direct Connect
- Open Napster
- Gnutella LimeWire
- Soulseek
- Audio Galaxy
- OpenFT
- Overnet
- Bittorent
- FileTP


%package gui
Summary:	Graphical frontend for mldonkey based on GTK
Group:		Networking/Other
Provides:	mldonkey-gui-i18n
Obsoletes:      mldonkey-gui-i18n-de < %version-%release
Provides:       mldonkey-gui-i18n-de = %version-%release
Obsoletes:      mldonkey-gui-i18n-es < %version-%release
Provides:       mldonkey-gui-i18n-es = %version-%release
Obsoletes:      mldonkey-gui-i18n-fr < %version-%release
Provides:       mldonkey-gui-i18n-fr = %version-%release
Obsoletes:      mldonkey-gui-i18n-pt_BR < %version-%release
Provides:       mldonkey-gui-i18n-pt_BR = %version-%release
Obsoletes:      mldonkey-gui-i18n-sv < %version-%release
Provides:       mldonkey-gui-i18n-sv = %version-%release

%files gui
%defattr(-,root,root)
%doc Copying.txt distrib/Authors.txt distrib/Bugs.txt distrib/ChangeLog distrib/Developers.txt distrib/Todo.txt
%_bindir/mlgui*
%_bindir/%{name}_previewer
%_datadir/applications/%name.desktop
%dir %_datadir/%name/
%_datadir/%name/*
%dir %_libdir/%name
%_libdir/%name/mlgui
%_libdir/%name/mlguistarter
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png

%description gui
The GTK interface for mldonkey provides a convenient way of managing
all mldonkey operations. It gives details about conected servers,
downloaded files, friends and lets one search for files in a pleasing
way.

%package init
Requires(pre):	rpm-helper
Summary:	Init to launch mldonkey
Group:		System/Servers
Requires:	%name = %version-%release

%pre init
%_pre_useradd %name %_localstatedir/%name /bin/bash

%post init
%_post_service %name

%preun init
%_preun_service %name

%postun init
%_postun_userdel %name

%files init
%defattr(-,root,root)
%doc Copying.txt
%attr(600,root,root) %config(noreplace) %_sysconfdir/sysconfig/%name
%config(noreplace) %_sysconfdir/cron.d/mldonkey_df_monitor
%config(noreplace) %_initrddir/%name
%config(noreplace) %_sysconfdir/logrotate.d/mldonkey
%_libdir/%name/%{name}_df_monitor.sh
%attr(600,%name,%name) %config(noreplace) %_localstatedir/%name/downloads.ini
%attr(770,%name,%name) %dir %_localstatedir/%name/incoming
%attr(700,%name,%name) %dir %_var/cache/%name
%attr(710,%name,%name) %dir %_localstatedir/%name

%description init
Contains init and configs to launch mldonkey as a service.

NOTE: by default incoming dir is located in %_localstatedir/mldonkey/incoming and
temp dir in /var/cache/mldonkey. Mlondkey is launched by daemon function
with mldonkey user (created in postinst script).

NOTE: If you are using a password for your mldonkey, you now need to specify
it in your /etc/sysconfig/mldonkey, because mldonkey now stores them crypted.


%package ed2k_submit
Summary:	This tool gives you an easy way to add a ed2k-link
Group:		Graphical desktop/KDE4
Requires:	kde-baseapps-core
Requires:	perl-libwww-perl

%files ed2k_submit
%defattr(-,root,root)
%doc Copying.txt distrib/ed2k_submit/README.MLdonkeySubmit
%config(noreplace) %_sysconfdir/sysconfig/mldonkey_submit
%_bindir/%{name}_submit
%_datadir/services/ed2k.protocol

%description ed2k_submit
This tool gives you an easy way to add an ed2k-link
(like ed2k://|file|filename.exe|21352658|72b0b287cab7d875ccc1d89ebe910b9g|)
with a single click to your mldonkey download queue.

You need to edit /etc/sysconfig/mldonkey_submit


%prep
%setup -q

%build
./configure --enable-gui

%make
#make use_tags

%install
rm -rf %buildroot
DONT_GPRINTIFY=1
export DONT_GPRINTIFY=1

# core
install -d -m755 %buildroot%_bindir
install -d -m755 %buildroot%_libdir/%name
install -m755 %SOURCE4 %buildroot%_bindir/mlnet
install -m755 mlnet %buildroot%_libdir/%name/mlnet
#install -m755 use_tags %buildroot%{_libdir}/%name/use_tags
install -m755 distrib/mldonkey_command %buildroot%_bindir/mldonkey_command
install -m755 distrib/kill_mldonkey %buildroot%_bindir/kill_mldonkey

for link in mlbt mldonkey mlgnut; do
	ln -s mlnet %buildroot%_libdir/%name/$link ;
done

# gui
install -m755 mlgui %buildroot%_libdir/%name/mlgui
install -m755 mlguistarter %buildroot%_libdir/%name/mlguistarter
install -m755 distrib/mldonkey_previewer %buildroot%_bindir/mldonkey_previewer
install -m755 %SOURCE7 %buildroot%_bindir/mlgui

# chat
#install -m 755  mlchat %buildroot%{_bindir}/mlchat

# i18n
install -d -m755 %buildroot%_datadir/%name
install -m644 distrib/i18n/gui_messages.ini.de %buildroot%_datadir/%name/gui_messages.ini.de
install -m644 distrib/i18n/gui_messages.ini.fr.noaccents %buildroot%_datadir/%name/gui_messages.ini.fr
install -m644 distrib/i18n/gui_messages.ini.sp %buildroot%_datadir/%name/gui_messages.ini.es
install -m644 distrib/i18n/gui_messages.ini.pt_BR %buildroot%_datadir/%name/gui_messages.ini.pt_BR
install -m644 distrib/i18n/gui_messages.ini.sv %buildroot%_datadir/%name/gui_messages.ini.sv
install -m644 distrib/i18n/gui_messages.ini.catalan %buildroot%_datadir/%name/gui_messages.ini.ca
install -m644 distrib/i18n/gui_messages.ini.dutch %buildroot%_datadir/%name/gui_messages.ini.dutch
install -m644 distrib/i18n/gui_messages.ini.ga %buildroot%_datadir/%name/gui_messages.ini.ga

# init
install -d -m755 %buildroot%_initrddir
install -d -m755 %buildroot%_localstatedir/%name
install -d -m755 %buildroot%_localstatedir/%name/incoming
install -d -m755 %buildroot%_var/cache/mldonkey
install -d -m755 %buildroot%_sysconfdir/sysconfig
install -d -m755 %buildroot%_sysconfdir/cron.d
install -d -m755 %buildroot%_sysconfdir/logrotate.d
install -m755 %SOURCE1 %buildroot%_initrddir/mldonkey
install -m644 %SOURCE2 %buildroot%_localstatedir/%name/downloads.ini
install -m644 %SOURCE3 %buildroot%_sysconfdir/sysconfig/mldonkey
install -m644 %SOURCE5 %buildroot%_sysconfdir/cron.d/mldonkey_df_monitor
install -m755 %SOURCE6 %buildroot%_libdir/%name/mldonkey_df_monitor.sh
install -m644 %SOURCE8 %buildroot%_sysconfdir/logrotate.d/mldonkey

# macroize library dirs in scripts
perl -i -pe 's|/usr/lib/%name|%_libdir/%name|g' \
	%buildroot%_bindir/mlnet %buildroot%_bindir/mlgui \
	%buildroot%_initrddir/%name \
	%buildroot%_sysconfdir/cron.d/mldonkey_df_monitor \
	%buildroot%_localstatedir/%name/downloads.ini \
	%buildroot%_libdir/%name/mldonkey_df_monitor.sh

# ed2k_submit
install -d -m755 %buildroot%_datadir/services
install -m755 distrib/ed2k_submit/mldonkey_submit %buildroot%_bindir/mldonkey_submit
install -m644 distrib/ed2k_submit/mldonkey %buildroot%_sysconfdir/sysconfig/mldonkey_submit
install -m644 distrib/ed2k_submit/ed2k.protocol  %buildroot%_datadir/services/ed2k.protocol

# Create menus
install -D -m644 packages/rpm/%name-icon-16.png %buildroot%_miconsdir/%name.png
install -D -m644 packages/rpm/%name-icon-32.png %buildroot%_iconsdir/%name.png
install -D -m644 packages/rpm/%name-icon-48.png %buildroot%_liconsdir/%name.png


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Mldonkey GUI
Comment=%{Summary}
Exec=%{_bindir}/mlgui
Icon=%{name}
# if needs=text, set to true
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-Internet-FileTransfer;FileTransfer;P2P;
Encoding=UTF-8
EOF


%clean
rm -rf %buildroot

%changelog
* Sun Apr 28 2013 pinoc <vogtpet at gmail.com> 3.0.6-3pclos2013
- fixed dependencies for kde 4.10
- rebuild for 32/64

* Sun Apr 24 2011 Texstar <texstar at gmail.com> 3.0.6-2pclos2011
- fix dependency nc to netcat-traditional

* Mon Nov 22 2010 Texstar <texstar at gmail.com> 3.0.6-1pclos2010
- 3.0.6

* Thu Nov 04 2010 Texstar <texstar at gmail.com> 3.0.5-1pclos2010
- 3.0.5


